> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get authmobileweb session

> Sign the browser in with a web-session code and redirect (a navigation, not an XHR)



## OpenAPI

````yaml /swagger.json get /auth/mobile/web-session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /auth/mobile/web-session:
    get:
      tags:
        - auth
      description: >-
        Sign the browser in with a web-session code and redirect (a navigation,
        not an XHR)
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 256
          required: true
          name: code
          in: query
        - schema:
            type: string
            maxLength: 2048
          required: false
          name: redirect
          in: query
      responses:
        '302':
          description: Redirects to `redirect` (same-origin path) or /space
      security: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/auth/mobile/web-session?code=SOME_STRING_VALUE&redirect=SOME_STRING_VALUE'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/auth/mobile/web-session?code=SOME_STRING_VALUE&redirect=SOME_STRING_VALUE';

            const options = {method: 'GET'};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/auth/mobile/web-session?code=SOME_STRING_VALUE&redirect=SOME_STRING_VALUE',
              headers: {}
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            conn.request("GET",
            "/api/auth/mobile/web-session?code=SOME_STRING_VALUE&redirect=SOME_STRING_VALUE")


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))

````